### Method

# Gegl Nodeblit_buffer

#### Declaration [src]

    void
    gegl_node_blit_buffer (
      GeglNode* node,
      GeglBuffer* buffer,
      const GeglRectangle* roi,
      int level,
      GeglAbyssPolicy abyss_policy
    )

#### Description [src]

Render a rectangular region from a node to the given buffer.

#### Parameters

`buffer`

  Type: `GeglBuffer`

  The `GeglBuffer` to render to.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`roi`

  Type: `GeglRectangle`

  The rectangle to render.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`level`

  Type: `int`

  Mipmap level to render (0 for all).

`abyss_policy`

  Type: `GeglAbyssPolicy`

  No description available.